<dx-data-grid class="gridContainer box-shadow" #gridTransfer [dataSource]='dsTransfer' [columnAutoWidth]='true'
  [allowColumnReordering]='true' [rowAlternationEnabled]='ui.rowAlternationEnabled' [showColumnLines]='ui.showColumnLines'
  [showRowLines]='ui.showRowLines' [allowColumnResizing]='true' [columnHidingEnabled]='ui.columnHidingEnabled'
  (onToolbarPreparing)='toolbarPreparing($event)' [height]='ui.fullHeight'>
  <dxo-export [enabled]='true' [enabled]='true' fileName='Deșeuri_transfer'></dxo-export>
  <dxo-header-filter [visible]='true'></dxo-header-filter>
  <dxo-group-panel [visible]='true'></dxo-group-panel>
  <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='true'></dxo-scrolling>
  <dxo-search-panel [visible]='true'></dxo-search-panel>
  <dxo-state-storing [enabled]="true" type="localStorage" storageKey="qhseTransfer"></dxo-state-storing>
  <dxo-filter-row [visible]='true'></dxo-filter-row>
  <dxo-column-chooser [enabled]="true" mode='dragAndDrop'></dxo-column-chooser>
  <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
  <dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>

  <dxi-column type="buttons" [width]='100' fixedPosition='left' [fixed]='true' [allowResizing]='false'
    [showInColumnChooser]='false'>
    <dxi-button hint='Editează' icon="edit" [onClick]="onEditTransferClick"></dxi-button>
    <!-- <dxi-button hint='Șterge' icon='trash' [onClick]="onDeleteTransferClick"></dxi-button> -->
  </dxi-column>

  <dxi-column [caption]='ds.lg.format("SOURCE WS")' dataField='swc_name' dataType='string' minWidth='150'></dxi-column>
  <dxi-column [caption]='ds.lg.format("DEST WS")' dataField='dwc_name' dataType='string' [width]='120'></dxi-column>
  <dxi-column [caption]='ds.lg.format("TRANSFER DATE")' dataField='g_sendDate' dataType='date' [width]='120' calculateSortValue='sendDate'
    [calculateDisplayValue]='ds.getDate'></dxi-column>
  <dxi-column [caption]='ds.lg.format("QUANTITY")' dataField='t_quantity' dataType='number' [width]='120' [allowHeaderFiltering]='false'>
  </dxi-column>
  <dxi-column [caption]='ds.lg.format("WASTE CODE")' dataField='wt_code' dataType='string'></dxi-column>
  <dxi-column [caption]='ds.lg.format("MADE BY")' dataField='ti_createdBy' dataType='string' [width]='120'></dxi-column>
  <dxi-column [caption]='ds.lg.format("MODIFIED BY")' dataField='ti_modifiedBy' dataType='string' [width]='120'></dxi-column>
  <dxi-column [caption]='ds.lg.format("CREATION DATE")' dataField='ti_created' dataType='datetime' [width]='150' calculateSortValue='ti_created'
    [calculateDisplayValue]='ds.getDateTime'></dxi-column>
  <dxi-column [caption]='ds.lg.format("LAST MODIFIED")' dataField='ti_modified' dataType='datetime' [width]='150' calculateSortValue='ti_modified'
    [calculateDisplayValue]='ds.getDateTime'></dxi-column>
</dx-data-grid>